package dev.jahidhasanco.demo_app


import android.os.Bundle
import android.view.ViewGroup
import androidx.appcompat.app.AppCompatActivity
import dev.jahidhasanco.seatbookview.SeatBookView


class MainActivity : AppCompatActivity() {

    private lateinit var seatBookView: SeatBookView
    private lateinit var viewGroupLayout: ViewGroup
    private var seats = (
            "U____/"+
                    "_____/"+
                    "AA_AA/"+
                    "UA_AR/"+
                    "AA_AA/"+
            "AAAAA/")

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        viewGroupLayout = findViewById(R.id.layoutSeat)
        seatBookView = SeatBookView(this)
            .setSeatGaping(10)
            .setSeatSizeBySeatsColumn(5)
            .setAvailableSeatsTextColor(R.color.purple_200)
            .setSeatsLayoutString(seats)

        seatBookView.setSeatTextSize(21f)

        seatBookView.setSeatViewLayout(viewGroupLayout)
        seatBookView.show()

    }


}